Index: /branches/LearningClassifierSystems/HeuristicLab.Problems.DecisionListClassification/3.3/DecisionListClassificationProblemData.cs
===================================================================
--- /branches/LearningClassifierSystems/HeuristicLab.Problems.DecisionListClassification/3.3/DecisionListClassificationProblemData.cs	(revision 9391)
+++ /branches/LearningClassifierSystems/HeuristicLab.Problems.DecisionListClassification/3.3/DecisionListClassificationProblemData.cs	(revision 9392)
@@ -214,5 +214,5 @@
     }
 
-    public IEnumerable<DecisionListInput> FetchInput(IEnumerable<int> rows) {
+    public IEnumerable<IGAssistInput> FetchInput(IEnumerable<int> rows) {
       foreach (var row in rows) {
         yield return FetchInput(row);
@@ -221,5 +221,5 @@
 
     protected IDictionary<int, DecisionListInput> fetchInputCache = new Dictionary<int, DecisionListInput>();
-    public DecisionListInput FetchInput(int row) {
+    public IGAssistInput FetchInput(int row) {
       if (!fetchInputCache.ContainsKey(row)) {
         DecisionListInput input = new DecisionListInput();
@@ -234,5 +234,5 @@
     }
 
-    public IEnumerable<IAction> FetchAction(IEnumerable<int> rows) {
+    public IEnumerable<IGAssistNiche> FetchAction(IEnumerable<int> rows) {
       foreach (var row in rows) {
         yield return FetchAction(row);
@@ -240,5 +240,5 @@
     }
     protected IDictionary<int, IAction> fetchActionCache = new Dictionary<int, IAction>();
-    public IAction FetchAction(int row) {
+    public IGAssistNiche FetchAction(int row) {
       if (!fetchActionCache.ContainsKey(row)) {
         var action = (IAction)SampleRuleParameter.Value.Action.Clone();
Index: /branches/LearningClassifierSystems/HeuristicLab.Problems.VariableVectorClassification/3.3/VariableVectorClassificationProblemData.cs
===================================================================
--- /branches/LearningClassifierSystems/HeuristicLab.Problems.VariableVectorClassification/3.3/VariableVectorClassificationProblemData.cs	(revision 9391)
+++ /branches/LearningClassifierSystems/HeuristicLab.Problems.VariableVectorClassification/3.3/VariableVectorClassificationProblemData.cs	(revision 9392)
@@ -89,5 +89,5 @@
         } else if (variableValues is List<double>) {
           var doubleValues = (variableValues as List<double>).Distinct();
-          if (doubleValues.All(x => x % 1 == 0)) {
+          if (doubleValues.All(x => x % 1 == 0 || Double.IsNaN(x))) {
             // ToList call is necessary, because otherwise it wouldn't be possible to serialize it
             variable = new IntVariable(variableName, doubleValues.Select(x => Convert.ToInt32(x)).ToList());
Index: /branches/LearningClassifierSystems/LearningClassifierSystem.sln
===================================================================
--- /branches/LearningClassifierSystems/LearningClassifierSystem.sln	(revision 9391)
+++ /branches/LearningClassifierSystems/LearningClassifierSystem.sln	(revision 9392)
@@ -184,3 +184,6 @@
 		HideSolutionNode = FALSE
 	EndGlobalSection
+	GlobalSection(Performance) = preSolution
+		HasPerformanceSessions = true
+	EndGlobalSection
 EndGlobal
